SpareSpare Docs
GuidesAPI Reference

Payment Requests

Create, list, retrieve, and delete payment requests.

POST
/api/v1.0/pis/Request/Create
Authorization
Header

Json web signature (JWS: RFC7519) of the payment initiation consent request payload in detached mode. <see href="https://datatracker.ietf.org/doc/html/rfc7519" />

Body
*object
object
object

Request Body

application/json

Payment request.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1.0/pis/Request/Create" \  -H "x-signature: string" \  -H "Content-Type: application/json" \  -d '{    "type": "SINGLE_DOMESTIC",    "creditorAccount": {      "scheme": "IBAN",      "identification": "string"    },    "amount": "string",    "currency": "string",    "countryCode": "string",    "paymentConsentType": "SingleInstantPayment",    "purpose": "SELF"  }'
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": {    "paymentRequestId": "e1d5fdf3-f4c6-4ab6-a2c0-11174dd3f66b",    "status": "AwaitingApproval",    "amount": {      "value": 0,      "currency": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "englishName": "string",        "arabicName": "string",        "iso4117Code": "str",        "iso4117Number": "stri"      }    },    "consent": {      "connection": {        "provider": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "country": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "createdAt": "2019-08-24T14:15:22Z",            "updatedAt": "2019-08-24T14:15:22Z",            "currency": {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "englishName": "string",              "arabicName": "string",              "iso4117Code": "str",              "iso4117Number": "stri"            },            "englishName": "string",            "arabicName": "string",            "iso3166Code": "st",            "timeZone": "string"          },          "address": "string",          "phone": "string",          "isEnable": true,          "arabicName": "string",          "englishName": "string",          "status": "Active",          "logo": "http://example.com"        },        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "status": "ACTIVE",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      },      "paymentConsentType": "SingleInstantPayment",      "executionDateTime": "2019-08-24T14:15:22Z",      "purpose": "string",      "note": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",      "scope": "Accounts",      "createdAt": "2019-08-24T14:15:22Z",      "status": "AwaitingAuthorization",      "authorizationLink": "string",      "successRedirectUrl": "string",      "failureRedirectUrl": "string"    },    "country": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "currency": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "englishName": "string",        "arabicName": "string",        "iso4117Code": "str",        "iso4117Number": "stri"      },      "englishName": "string",      "arabicName": "string",      "iso3166Code": "st",      "timeZone": "string"    },    "debtorAccount": {      "provider": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "country": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "currency": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "englishName": "string",            "arabicName": "string",            "iso4117Code": "str",            "iso4117Number": "stri"          },          "englishName": "string",          "arabicName": "string",          "iso3166Code": "st",          "timeZone": "string"        },        "address": "string",        "phone": "string",        "isEnable": true,        "arabicName": "string",        "englishName": "string",        "status": "Active",        "logo": "http://example.com"      },      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "scheme": "IBAN",      "identification": "string",      "name": "string"    },    "creditorAccount": {      "provider": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "country": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "currency": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "englishName": "string",            "arabicName": "string",            "iso4117Code": "str",            "iso4117Number": "stri"          },          "englishName": "string",          "arabicName": "string",          "iso3166Code": "st",          "timeZone": "string"        },        "address": "string",        "phone": "string",        "isEnable": true,        "arabicName": "string",        "englishName": "string",        "status": "Active",        "logo": "http://example.com"      },      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "scheme": "IBAN",      "identification": "string",      "name": "string"    },    "hashId": "string",    "purpose": "string",    "note": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "requestLink": "string",    "paymentConsentType": "SingleInstantPayment",    "executionDateTime": "2019-08-24T14:15:22Z",    "type": "SINGLE_DOMESTIC",    "description": "string",    "externalReference": "string",    "redirectionFlow": "WEB",    "successRedirectUrl": "http://example.com",    "failureRedirectUrl": "http://example.com",    "autoRedirect": true  }}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
Empty
"INVALID_DATA"
Empty
GET
/api/v1.0/pis/Request/List
Authorization
Query

Page number

Number of items per page maximum allow is 100 per page

External reference (Optional)

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1.0/pis/Request/List"
Empty
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": [    {      "paymentRequestId": "e1d5fdf3-f4c6-4ab6-a2c0-11174dd3f66b",      "status": "AwaitingApproval",      "amount": {        "value": 0,        "currency": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "englishName": "string",          "arabicName": "string",          "iso4117Code": "str",          "iso4117Number": "stri"        }      },      "consent": {        "connection": {          "provider": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "country": {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "createdAt": "2019-08-24T14:15:22Z",              "updatedAt": "2019-08-24T14:15:22Z",              "currency": {                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",                "englishName": "string",                "arabicName": "string",                "iso4117Code": "str",                "iso4117Number": "stri"              },              "englishName": "string",              "arabicName": "string",              "iso3166Code": "st",              "timeZone": "string"            },            "address": "string",            "phone": "string",            "isEnable": true,            "arabicName": "string",            "englishName": "string",            "status": "Active",            "logo": "http://example.com"          },          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "status": "ACTIVE",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z"        },        "paymentConsentType": "SingleInstantPayment",        "executionDateTime": "2019-08-24T14:15:22Z",        "purpose": "string",        "note": "string",        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",        "scope": "Accounts",        "createdAt": "2019-08-24T14:15:22Z",        "status": "AwaitingAuthorization",        "authorizationLink": "string",        "successRedirectUrl": "string",        "failureRedirectUrl": "string"      },      "country": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z",        "currency": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "englishName": "string",          "arabicName": "string",          "iso4117Code": "str",          "iso4117Number": "stri"        },        "englishName": "string",        "arabicName": "string",        "iso3166Code": "st",        "timeZone": "string"      },      "debtorAccount": {        "provider": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "country": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "createdAt": "2019-08-24T14:15:22Z",            "updatedAt": "2019-08-24T14:15:22Z",            "currency": {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "englishName": "string",              "arabicName": "string",              "iso4117Code": "str",              "iso4117Number": "stri"            },            "englishName": "string",            "arabicName": "string",            "iso3166Code": "st",            "timeZone": "string"          },          "address": "string",          "phone": "string",          "isEnable": true,          "arabicName": "string",          "englishName": "string",          "status": "Active",          "logo": "http://example.com"        },        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "scheme": "IBAN",        "identification": "string",        "name": "string"      },      "creditorAccount": {        "provider": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "country": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "createdAt": "2019-08-24T14:15:22Z",            "updatedAt": "2019-08-24T14:15:22Z",            "currency": {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "englishName": "string",              "arabicName": "string",              "iso4117Code": "str",              "iso4117Number": "stri"            },            "englishName": "string",            "arabicName": "string",            "iso3166Code": "st",            "timeZone": "string"          },          "address": "string",          "phone": "string",          "isEnable": true,          "arabicName": "string",          "englishName": "string",          "status": "Active",          "logo": "http://example.com"        },        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "scheme": "IBAN",        "identification": "string",        "name": "string"      },      "hashId": "string",      "purpose": "string",      "note": "string",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "requestLink": "string",      "paymentConsentType": "SingleInstantPayment",      "executionDateTime": "2019-08-24T14:15:22Z",      "type": "SINGLE_DOMESTIC",      "description": "string",      "externalReference": "string",      "redirectionFlow": "WEB",      "successRedirectUrl": "http://example.com",      "failureRedirectUrl": "http://example.com",      "autoRedirect": true    }  ],  "meta": {    "currentPageNumber": 0,    "pageSize": 0,    "totalNumberOfPages": 0  }}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
"INVALID_DATA"
Empty
GET
/api/v1.0/pis/Request/Get
Authorization
Query

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1.0/pis/Request/Get?id=497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": {    "paymentRequestId": "e1d5fdf3-f4c6-4ab6-a2c0-11174dd3f66b",    "status": "AwaitingApproval",    "amount": {      "value": 0,      "currency": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "englishName": "string",        "arabicName": "string",        "iso4117Code": "str",        "iso4117Number": "stri"      }    },    "consent": {      "connection": {        "provider": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "country": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "createdAt": "2019-08-24T14:15:22Z",            "updatedAt": "2019-08-24T14:15:22Z",            "currency": {              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",              "englishName": "string",              "arabicName": "string",              "iso4117Code": "str",              "iso4117Number": "stri"            },            "englishName": "string",            "arabicName": "string",            "iso3166Code": "st",            "timeZone": "string"          },          "address": "string",          "phone": "string",          "isEnable": true,          "arabicName": "string",          "englishName": "string",          "status": "Active",          "logo": "http://example.com"        },        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "status": "ACTIVE",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      },      "paymentConsentType": "SingleInstantPayment",      "executionDateTime": "2019-08-24T14:15:22Z",      "purpose": "string",      "note": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",      "scope": "Accounts",      "createdAt": "2019-08-24T14:15:22Z",      "status": "AwaitingAuthorization",      "authorizationLink": "string",      "successRedirectUrl": "string",      "failureRedirectUrl": "string"    },    "country": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "currency": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "englishName": "string",        "arabicName": "string",        "iso4117Code": "str",        "iso4117Number": "stri"      },      "englishName": "string",      "arabicName": "string",      "iso3166Code": "st",      "timeZone": "string"    },    "debtorAccount": {      "provider": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "country": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "currency": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "englishName": "string",            "arabicName": "string",            "iso4117Code": "str",            "iso4117Number": "stri"          },          "englishName": "string",          "arabicName": "string",          "iso3166Code": "st",          "timeZone": "string"        },        "address": "string",        "phone": "string",        "isEnable": true,        "arabicName": "string",        "englishName": "string",        "status": "Active",        "logo": "http://example.com"      },      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "scheme": "IBAN",      "identification": "string",      "name": "string"    },    "creditorAccount": {      "provider": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "country": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "createdAt": "2019-08-24T14:15:22Z",          "updatedAt": "2019-08-24T14:15:22Z",          "currency": {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "englishName": "string",            "arabicName": "string",            "iso4117Code": "str",            "iso4117Number": "stri"          },          "englishName": "string",          "arabicName": "string",          "iso3166Code": "st",          "timeZone": "string"        },        "address": "string",        "phone": "string",        "isEnable": true,        "arabicName": "string",        "englishName": "string",        "status": "Active",        "logo": "http://example.com"      },      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "scheme": "IBAN",      "identification": "string",      "name": "string"    },    "hashId": "string",    "purpose": "string",    "note": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "requestLink": "string",    "paymentConsentType": "SingleInstantPayment",    "executionDateTime": "2019-08-24T14:15:22Z",    "type": "SINGLE_DOMESTIC",    "description": "string",    "externalReference": "string",    "redirectionFlow": "WEB",    "successRedirectUrl": "http://example.com",    "failureRedirectUrl": "http://example.com",    "autoRedirect": true  }}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
"INVALID_DATA"
Empty
GET
/api/v1.0/pis/Request/Delete
Authorization
Query

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1.0/pis/Request/Delete?id=497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
{  "error": "INVALID_DATA",  "errorDescription": {    "property1": [      "string"    ],    "property2": [      "string"    ]  },  "data": null}
"INVALID_DATA"
Empty